
// Project: webCDwriter - Network CD Writing
// Author: Jörg Haeger, 17.05.2001

class ChangePassword extends Command
{
	public ChangePassword(String password)
	{
		this.password = password;
	}

	public void run()
	{
		execCommand("changePassword " + spaceToEsc(password));
		if (status == SUCCESS)
			State.userPassword = password;
		super.run();
	}

	private String password;
}
